---
title: getGenesisHash
hideTableOfContents: true
h1: getGenesisHash RPC Method
---

Returns the genesis hash

<DocSideBySide>

<DocLeftSide>

### Parameters

**None**

### Result

- `<string>` - a Hash as base-58 encoded string

</DocLeftSide>
<DocRightSide>

### Code sample

```shell
curl https://api.devnet.solana.com -s -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"getGenesisHash"}
'
```

### Response

```json
{
  "jsonrpc": "2.0",
  "result": "GH7ome3EiwEr7tu9JuTh2dpYWBJK3z69Xm1ZE3MEE6JC",
  "id": 1
}
```

</DocRightSide>
</DocSideBySide>
